# VM Setup
Fist time VM/Container setup.

 - Prepare for ansible management.
   - Clear `ansible` user and group
   - Add `ansible` user and group with encrypted password
   - Make `ansible` sudo user
   - Add Ansible's ssh pubkey for authentication
   - Adjust permissions
- Install docker compose
    - Add docker update script to weekly cron
    - Add docker compose file
    - Install docker compose
    - Start `autoheal` container

Debian:
```sh
apt install -y curl
curl -s https://git.schulze.network/schulze/vm-setup/raw/branch/main/ansible.sh | sh
curl -s https://git.schulze.network/schulze/vm-setup/raw/branch/main/docker.sh | sh
```

Rocky:
```sh
curl -s https://git.schulze.network/schulze/vm-setup/raw/branch/main/ansible-rocky.sh | sh
curl -s https://git.schulze.network/schulze/vm-setup/raw/branch/main/docker.sh | sh
```
